Page MenuHomePhabricator

Disable Compact Language Links on English Wikivoyage
Closed, DeclinedPublic

Description

Should be a way to disable this as default on other wiki projects. This may make sense on Wikipedia were there are many small articles and many languages but on Wikivoyage there is little chance of the language site list being longer than the article. Also scrolling through the large popup window is not a good user experience.
https://en.wikivoyage.org/w/index.php?title=Wikivoyage:Travellers%27_pub&diff=3020626&oldid=3020623#Compact_Language_Links_enabled_in_this_wiki_today

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 10 2016, 6:14 PM
Urbanecm claimed this task.Jul 10 2016, 6:17 PM

Assiging to myself because this seems to by copy from T138524. I'll handle it.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 10 2016, 6:17 PM

Yes, it is the same thing as in T138524, but for a different language version of Wikivoyage. I would like to re-iterate that this feature is not needed for a small project like Wikivoyage.

Change 298187 had a related patch set uploaded (by Urbanecm):
Add possibility to disable CompactLink in default state and disable it on enwikivoyage

https://gerrit.wikimedia.org/r/298187

Urbanecm lowered the priority of this task from Normal to Low.Jul 10 2016, 6:47 PM

Low, we're waiting for feedback from language engineering team.

See my comment at T138524. The same applies here.

Urbanecm changed the task status from Open to Stalled.Oct 10 2016, 11:47 AM
Urbanecm lowered the priority of this task from Low to Lowest.
Urbanecm moved this task from Blocked on others to Watching on the User-Urbanecm board.
Urbanecm closed this task as Declined.Nov 25 2016, 8:32 PM
Urbanecm removed Urbanecm as the assignee of this task.

Don't know what I can do there anymore. Feel free to reassign me again where I will be able to do something. Also I think this isn't task which will be actionable in long long time and was de facto declined so closing it as declined. Fell free to reopen when it'll become actionable.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 25 2016, 8:32 PM

Well, it is actionable, but the language team does everything to oppose the action requested by the community. Let me just remind you that a similar request was submitted as T138524 for Russian Wikivoyage. The language team gave the same vague answer claiming that they did study the issue in detail, although in fact they did not even bother about the existence of Wikivoyage as a Wikimedia project. Then, as you say, the request was "declined", and we had to introduce our own patch that disabled compact language links completely. Eventually we forced the language team to change their opinion for Russian Wikivoyage. The community of English Wikivoyage was less persistent (or, more likely, did not know exactly what to do). Therefore, they have to live with this feature, although they don't like it too. It's kind of bizarre that the community has to war with the developers, but that's how it is.

In my opinion, the request is not declined and it can't be declined, because Amire80 should not decide for the community what they need and what not. The fact that the feature was disabled in one language version of Wikivoyage kind of tells us that it should be disabled in all language versions, because there are few, and the compact language links feature is simply NOT NEEDED in Wikivoyage.

Maybe disable it at all Wikivoyage projects? If this isn't needed?

Well, that's exactly the point. As long as the language team has no explicit argument why this feature is needed in Wikivoyage, it should be switched off by default.

For the reference, here is the discussion at English Wikivoyage:
https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub/2016#Compact_Language_Links_enabled_in_this_wiki_today
which makes it clear that none of the active editors consider this feature even remotely useful for the project.

Change 298187 abandoned by Urbanecm:
Add option for disabling CompactLink and disable it on enwikivoyage

Reason:
Task was marked as invalid, if it will be reopened again, this can be restored.

https://gerrit.wikimedia.org/r/298187